Skip to main content
Kofax

ShareScan: Java requirements

Information:

This article provides requirements for Java Runtime Environment when running ShareScan 6.x and 5.x.

Java versions are updated with ShareScan releases.  Kofax recommends using the latest versions to ShareScan to receive the available security fixes.

Note: the 32-bit version of Java must be used regardless of the OS bitness, since Apache Tomcat is a 32-bit application. The service will not work using the 64-bit version of Java.

After ShareScan v6.3 Oracle JRE platform has been changed to Amazon Corretto.

Required Java Versions: 

 ShareScan version

 Java version

ShareScan 6.3

Amazon Correctto 8

ShareScan 6.2

Java Runtime Environment 8 Update 192

ShareScan 6.1 Service Pack 1

Java Runtime Environment 8 update 172

ShareScan 6.1

Java Runtime Environment 8 update 152

ShareScan 6.0 RTM

Java Runtime Environment 8 update 131

ShareScan 5.4 Sevice Pack 2

Java Runtime Environment 8 update 91

ShareScan 5.4 Sevice Pack 1  

Java Runtime Environment 8 update 65

ShareScan 5.4 RTM

Java Runtime Environment 7 update 76

ShareScan 5.2 Service Pack 2  

Java Runtime Environment 7 update 51 

ShareScan 5.2 RTM

Java Runtime Environment 7 update 45

ShareScan 5.1 Service Pack 1  

Java Runtime Environment 7 update 17

ShareScan 5.1 RTM

Java Runtime Environment 6 Update 37

ShareScan 5.0 Service Packs 5 & 6

Java Runtime Environment 6 Update 31

ShareScan 5.0 Service Pack 4 

Java Runtime Environment 6 Update 31

ShareScan 5.0 RTM

Java Runtime Environment 6 Update 22

A common problem of a Java version mismatch is the Apache Tomcat service not starting. Newer java versions than mentioned above are known to cause issues and are not supported. If an unsupported Java version is installed, the following is recommended.

  1. Open Windows Services and stop the Apache Tomcat service.
  2. Uninstall all installed Java versions.
  3. Reinstall the required Java version corresponding to the ShareScan version and Service Pack being used.
  4. Open Windows Services and start the Apache Tomcat service.
  5. Disable Automatic Updates for the Java Runtime Environment, to prevent an accidental update to an incompatible version.